import 'package:example/app/app.dart';
import 'package:flutter/material.dart';
import 'package:healthrian_visualization_support/'
    'healthrian_visualization_support.dart';

class CardioClickPage extends StatelessWidget {
  const CardioClickPage({super.key});

  @override
  Widget build(BuildContext context) {
    return SafeArea(
      child: Scaffold(
        /// Body
        body: ListView(
          children: [
            Row(
              children: const [
                /// connection
                ConnectionStateCardioClick(),

                /// Heart beat
                EcgHeartbeatCardioClick(),

                /// Tap
                TapCardioClick(),
              ],
            ),

            Row(
              children: const [
                LeadStateCardioClick(),
                BatteryLevelCardioClick(),
              ],
            ),

            /// Ecg holter view
            const EcgCardioClick(),
          ],
        ),

        /// Control panel
        floatingActionButton: const ControlPanelCardioClick(),

        /// Navigation
        bottomNavigationBar: const Navigation(selected: 1),
      ),
    );
  }
}
