// ignore_for_file: public_member_api_docs, avoid_positional_boolean_parameters

import 'package:copy_with_extension/copy_with_extension.dart';
import 'package:flutter/material.dart';
import 'package:flutter_mobx/flutter_mobx.dart';
import 'package:healthrian_ble_support/healthrian_ble_support.dart';

part 'tap_cardioclick.g.dart';

@CopyWith()
class TapCardioClick extends StatelessWidget {
  const TapCardioClick({
    this.wrapperWidget,
    super.key,
  });

  final Widget Function(bool?)? wrapperWidget;

  @override
  Widget build(BuildContext context) {
    final buffer = <bool?>[];
    final f = wrapperWidget ??
        (bool? value) {
          buffer.add(value);
          return Text('$buffer');
        };
    return Observer(
      key: UniqueKey(),
      builder: (context) {
        return StreamBuilder<bool?>(
          stream: BLEManager().manageCardioClick.streams.tapButtonStream,
          builder: (context, snapshot) {
            return f(snapshot.data);
          },
        );
      },
    );
  }
}
